<?php //#################################################################################
/*############################# scontent!-Plugin  #######################################
| copyright: 	Markus Vetter 				| This version: V.0.21 		|
| email:	info@mv-web-design.de 			| 		11.07.2007	|
| home:		www.mv-web-design.de/?CMSimple		|	      include_admin.php	|
-----------------------------------------------------------------------------------------

			For further informations: index.php

-----------------------------------------------------------------------------------------
#######################################################################################*/
//### scontent_list_files  #############################################################/
function scontent_list_files($path,$selected='',$ending='txt',$name='select_file') 
{
if ($handle = opendir($path))
{
 while (false !== ($file = readdir($handle))) 
 { if ($file != "." && $file != "..") 
  { list ($file_name, $file_ending) = split('[.]', $file);
    if($ending=='' OR $file_ending==$ending) 
    { if ($file==$selected) { $select=' selected="selected"'; } else { $select=''; }
      $file_select.='<option'.$select.'>'.$file.'</option>'; }
  } 
 }
 closedir($handle);
 if (!$file_select) { $file_select='No files in directory.'; }     
 else { $file_select.='</select>'; $file_select='<select name="'.$name.'" size="1">'.$file_select; }
}
else { $file_select='No such directory. Please check your installation!'; }     
return $file_select;
}
//### END: scontent_list_files  ########################################################/
//### scontent_admin_header  ###########################################################/
function scontent_admin_header($content_file, $content_status) 
{
global $tx;

$admin_header.='
<div class="scontent_admin">
 <form name="scontent_form" action="" method="post">
  <div class="scontent_admin_header">
   <div class="scontent_admin_header_schedule_name"><input name="sc_name" type="text" value="'.$content_status['active_from'].'"></div>
   <div class="scontent_admin_header_file_info">File: <span style="color:#00f">'.$content_file.'</span>
    <br>Last used: <span style="color:#00f">'.date("d.m.y - H:i:s", filemtime($content_file)).'</span>
   </div>
   <div class="scontent_admin_header_file_select">File:<div class="scontent_admin_header_file_input"><input class="scontent_delete" type="radio" name="action" value="plugin_textsave" checked="checked"> '.$tx['action']['edit'].'<br><input type="radio" name="action" value="delete"><span class="scontent_delete"> '.$tx['action']['delete'].'</span></div>
   </div>
   <div class="scontent_admin_header_file_version">
Version: <input name="version" type="text" readonly="readonly" value="'.$content_status['title'].'"> 
 &nbsp;User: <input name="admin_user" type="text" readonly="readonly" value="'.$content_status['active'].'"> 
';

$admin_header.='&nbsp;Status: <select name="status" size="1">';
$sc_status=array('true','false','active','inactive');
foreach($sc_status as $key => $status)
 { if ($status==$content_status['file']) { $selection=' selected="selected"'; } else { $selection=''; }
   $admin_header.='<option'.$selection.'>'.$status.'</option>'; }
$admin_header.='</select>';

$admin_header.='&nbsp;
   </div>
  </div>';

return $admin_header;
}
//### END: scontent_admin_header  ######################################################/
//### scontent_admin_entry  ############################################################/
function scontent_admin_entry($scontent_array) 
{
global $tx, $plugin_tx, $plugin_pth;

if (!$scontent_array) 
{ return '<div class="scontent_admin_no_entry">'.$plugin_tx['scontent']['admin_form_no_entries'].'</div>'; }

$admin_entry.='<div class="scontent_admin_entry">';

$input_nr='';
foreach($scontent_array as $entry_nr => $value)
 {
 if ($entry<10){$input_nr='0'.($entry_nr+1);}
 if ($entry<100){$input_nr='0'.$input_nr;}
 if ($entry<1000){$input_nr='0'.$input_nr;}
 $active=($value['active']=='true' OR $value['active']=='active')?' checked="checked"':'';

 $time_from_array=explode(":", $value['time_from']);
 $time_to_array=explode(":", $value['time_to']);
 $weekday_array=explode("|", $value['weekday']);
 $day_array=explode("|", $value['day']);
 $month_array=explode("|", $value['month']);
 $year_array=explode("|", $value['year']);


 for ($i=1; $i<5; $i++)
 { $var ='select_y_'.$i; $$var=''; if(in_array((strftime("%Y")+$i-1),$year_array)) { $$var=' checked="checked"'; } }
 for ($i=1; $i<13; $i++)
 { $var ='select_m_'.$i; $$var=''; if(in_array($i,$month_array)) { $$var=' checked="checked"'; } }
 for ($i=1; $i<32; $i++)
 { $var ='select_d_'.$i; $$var=''; if(in_array($i,$day_array)) { $$var=' checked="checked"'; } }

 $select_wd_1=(in_array('mo', $weekday_array))?' checked="checked"':'';
 $select_wd_2=(in_array('di', $weekday_array))?' checked="checked"':'';
 $select_wd_3=(in_array('mi', $weekday_array))?' checked="checked"':'';
 $select_wd_4=(in_array('do', $weekday_array))?' checked="checked"':'';
 $select_wd_5=(in_array('fr', $weekday_array))?' checked="checked"':'';
 $select_wd_6=(in_array('sa', $weekday_array))?' checked="checked"':'';
 $select_wd_7=(in_array('so', $weekday_array))?' checked="checked"':'';

$admin_entry.='
 <div class="scontent_admin_entry_item">

  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_title">'.$plugin_tx['scontent']['form_label_title'].' <input name="'.$input_nr.'_title" type="text" value="'.$value['title'].'"></div>
  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_active"><input type="checkbox" name="'.$input_nr.'_active" value="active"'.$active.'> '.$plugin_tx['scontent']['form_label_active'].'</div>
  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_delete"><input type="checkbox" name="'.$input_nr.'_delete" value="delete"> <span class="scontent_delete">'.$tx['action']['delete'].'</span></div>
   <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_file">'.$plugin_tx['scontent']['form_label_file'].' 
   '.scontent_list_files($plugin_pth."/upload",$value['file'],'',$input_nr.'_select_file').'</div>
    
  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_period">'.$plugin_tx['scontent']['form_label_active_from'].' 
  <input class="scontent_admin_entry_item_period_day" id="'.$input_nr.'_f_day" name="'.$input_nr.'_active_from_day" maxlength="2" type="text" value="'.strftime("%d", $value['active_from']).'">.<input class="scontent_admin_entry_item_period_month" id="'.$input_nr.'_f_month" name="'.$input_nr.'_active_from_month" maxlength="2" type="text" value="'.strftime("%m", $value['active_from']).'">.<input class="scontent_admin_entry_item_period_year" id="'.$input_nr.'_f_year" name="'.$input_nr.'_active_from_year" maxlength="4" type="text" value="'.strftime("%Y", $value['active_from']).'">
  - <input class="scontent_admin_entry_item_period_hour" id="'.$input_nr.'_f_hour" name="'.$input_nr.'_active_from_hour" maxlength="2" type="text" value="'.strftime("%H", $value['active_from']).'">:<input class="scontent_admin_entry_item_period_minute" id="'.$input_nr.'_f_minute" name="'.$input_nr.'_active_from_minute" maxlength="2" type="text" value="'.strftime("%M", $value['active_from']).'"> '.$plugin_tx['scontent']['form_label_active_a_clock'].'
<img src="'.$plugin_pth.'/jscalendar-1.0/img.gif" id="'.$input_nr.'_f_trigger"
     style="cursor: pointer; border: 1px solid red;"
     title="Date selector"
     onmouseover="this.style.background=\'red\';"
     onmouseout="this.style.background=\'\'" />  </div>

  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_period_links"> ( <a href="javascript:set_date(\''.$input_nr.'\',\'f\',0)">'.$plugin_tx['scontent']['form_label_now'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'f\',1)">'.$plugin_tx['scontent']['form_label_tomorrow'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'f\',2)">'.$plugin_tx['scontent']['form_label_2days'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'f\',7)">'.$plugin_tx['scontent']['form_label_7days'].'</a> )
  </div>
   
  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_period">'.$plugin_tx['scontent']['form_label_active_to'].' 
  <input class="scontent_admin_entry_item_period_day" id="'.$input_nr.'_t_day" name="'.$input_nr.'_active_to_day" maxlength="2" type="text" value="'.strftime("%d", $value['active_to']).'">.<input class="scontent_admin_entry_item_period_month" id="'.$input_nr.'_t_month" name="'.$input_nr.'_active_to_month" maxlength="2" type="text" value="'.strftime("%m", $value['active_to']).'">.<input class="scontent_admin_entry_item_period_year" id="'.$input_nr.'_t_year" name="'.$input_nr.'_active_to_year" maxlength="4" type="text" value="'.strftime("%Y", $value['active_to']).'">
  - <input class="scontent_admin_entry_item_period_hour" id="'.$input_nr.'_t_hour" name="'.$input_nr.'_active_to_hour" maxlength="2" type="text" value="'.strftime("%H", $value['active_to']).'">:<input class="scontent_admin_entry_item_period_minute" id="'.$input_nr.'_t_minute" name="'.$input_nr.'_active_to_minute" maxlength="2" type="text" value="'.strftime("%M", $value['active_to']).'"> '.$plugin_tx['scontent']['form_label_active_a_clock'].'
<img src="'.$plugin_pth.'/jscalendar-1.0/img.gif" id="'.$input_nr.'_t_trigger"
     style="cursor: pointer; border: 1px solid red;"
     title="Date selector"
     onmouseover="this.style.background=\'red\';"
     onmouseout="this.style.background=\'\'" />
  </div>
  <div class="scontent_admin_entry_item_input" id="scontent_admin_entry_item_period_links"> ( <a href="javascript:set_date(\''.$input_nr.'\',\'t\',1)">'.$plugin_tx['scontent']['form_label_tomorrow'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'t\',2)">'.$plugin_tx['scontent']['form_label_2days'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'t\',7)">'.$plugin_tx['scontent']['form_label_7days'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'t\',14)">'.$plugin_tx['scontent']['form_label_14days'].'</a> | <a href="javascript:set_date(\''.$input_nr.'\',\'t\',30)">'.$plugin_tx['scontent']['form_label_30days'].'</a> )
  </div>

<script type="text/javascript">
    function split_date_from(cal) {
        var date = cal.date;
        var time = date.getTime()
        // use the _other_ field
        var field1 = document.getElementById("'.$input_nr.'_f_day");
        var field2 = document.getElementById("'.$input_nr.'_f_month");
        var field3 = document.getElementById("'.$input_nr.'_f_year");
        var field4 = document.getElementById("'.$input_nr.'_f_hour");
        var field5 = document.getElementById("'.$input_nr.'_f_minute");
        // create field-data
        var date2 = new Date(time);
        field1.value = date2.print("%d");
        field2.value = date2.print("%m");
        field3.value = date2.print("%Y");
        field4.value = date2.print("%H");
        field5.value = date2.print("%M");
    }
    Calendar.setup({
        button         :    "'.$input_nr.'_f_trigger",
        ifFormat       :    "%d.%m.%Y %H:%M",
        showsTime      :    true,
        timeFormat     :    "24",
        singleClick    :    false,
        onUpdate       :    split_date_from
    });
</script>
<script type="text/javascript">
    function split_date_to(cal) {
        var date = cal.date;
        var time = date.getTime()
        // use the _other_ field
        var field1 = document.getElementById("'.$input_nr.'_t_day");
        var field2 = document.getElementById("'.$input_nr.'_t_month");
        var field3 = document.getElementById("'.$input_nr.'_t_year");
        var field4 = document.getElementById("'.$input_nr.'_t_hour");
        var field5 = document.getElementById("'.$input_nr.'_t_minute");
        // create field-data
        var date2 = new Date(time);
        field1.value = date2.print("%d");
        field2.value = date2.print("%m");
        field3.value = date2.print("%Y");
        field4.value = date2.print("%H");
        field5.value = date2.print("%M");
    }
    Calendar.setup({
        button         :    "'.$input_nr.'_t_trigger",
        ifFormat       :    "%d.%m.%Y %H:%M",
        showsTime      :    true,
        timeFormat     :    "24",
        singleClick    :    false,
        onUpdate       :    split_date_to
    });
</script>
 
  <div class="scontent_admin_entry_item_input_specific_period"><span>'.$plugin_tx['scontent']['form_label_criterias'].'</span>
  <div class="scontent_admin_entry_item_input_specific" id="scontent_admin_entry_item_times">'.$plugin_tx['scontent']['form_label_time'].'
  <div class="scontent_admin_entry_item_input_specific_group">
  <div id="scontent_admin_entry_item_time">'.$plugin_tx['scontent']['form_label_time_from'].'<br><input type="text" name="'.$input_nr.'_time_from_hour" maxlength="2" value="'.$time_from_array[0].'">:<input type="text" name="'.$input_nr.'_time_from_minute" maxlength="2" value="'.$time_from_array[1].'"></div>
  <div id="scontent_admin_entry_item_time">'.$plugin_tx['scontent']['form_label_time_to'].'<br><input type="text" name="'.$input_nr.'_time_to_hour" maxlength="2" value="'.$time_to_array[0].'">:<input type="text" name="'.$input_nr.'_time_to_minute" maxlength="2" value="'.$time_to_array[1].'"></div>
  </div>
  </div>
  
  <div class="scontent_admin_entry_item_input_specific" id="scontent_admin_entry_item_weekdays">'.$plugin_tx['scontent']['form_label_weekday'].' 
  <div class="scontent_admin_entry_item_input_specific_group">
  <div id="scontent_admin_entry_item_day">'.$plugin_tx['scontent']['form_label_weekday_mo'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_01" value="mo"'.$select_wd_1.'></div>
  <div id="scontent_admin_entry_item_weekday">'.$plugin_tx['scontent']['form_label_weekday_di'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_02" value="di"'.$select_wd_2.'></div>
  <div id="scontent_admin_entry_item_weekday">'.$plugin_tx['scontent']['form_label_weekday_mi'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_03" value="mi"'.$select_wd_3.'></div>
  <div id="scontent_admin_entry_item_weekday">'.$plugin_tx['scontent']['form_label_weekday_do'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_04" value="do"'.$select_wd_4.'></div>
  <div id="scontent_admin_entry_item_weekday">'.$plugin_tx['scontent']['form_label_weekday_fr'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_05" value="fr"'.$select_wd_5.'></div>
  <div id="scontent_admin_entry_item_weekday">'.$plugin_tx['scontent']['form_label_weekday_sa'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_06" value="sa"'.$select_wd_6.'></div>
  <div id="scontent_admin_entry_item_weekday">'.$plugin_tx['scontent']['form_label_weekday_so'].'<br><input type="checkbox" name="'.$input_nr.'_weekday_07" value="so"'.$select_wd_7.'></div>
  </div>
  </div>

  <div class="scontent_admin_entry_item_input_specific" id="scontent_admin_entry_item_days">'.$plugin_tx['scontent']['form_label_day'].' 
  <div class="scontent_admin_entry_item_input_specific_group" id="scontent_admin_entry_item_days_group">
  <div id="scontent_admin_entry_item_day">&nbsp;1<br><input type="checkbox" name="'.$input_nr.'_day_01" value="01"'.$select_d_1.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;2<br><input type="checkbox" name="'.$input_nr.'_day_02" value="02"'.$select_d_2.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;3<br><input type="checkbox" name="'.$input_nr.'_day_03" value="03"'.$select_d_3.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;4<br><input type="checkbox" name="'.$input_nr.'_day_04" value="04"'.$select_d_4.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;5<br><input type="checkbox" name="'.$input_nr.'_day_05" value="05"'.$select_d_5.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;6<br><input type="checkbox" name="'.$input_nr.'_day_06" value="06"'.$select_d_6.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;7<br><input type="checkbox" name="'.$input_nr.'_day_07" value="07"'.$select_d_7.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;8<br><input type="checkbox" name="'.$input_nr.'_day_08" value="08"'.$select_d_8.'></div>
  <div id="scontent_admin_entry_item_day">&nbsp;9<br><input type="checkbox" name="'.$input_nr.'_day_09" value="09"'.$select_d_9.'></div>
  <div id="scontent_admin_entry_item_day">10<br><input type="checkbox" name="'.$input_nr.'_day_10" value="10"'.$select_d_10.'></div>
  <div id="scontent_admin_entry_item_day">11<br><input type="checkbox" name="'.$input_nr.'_day_11" value="11"'.$select_d_11.'></div>
  <div id="scontent_admin_entry_item_day">12<br><input type="checkbox" name="'.$input_nr.'_day_12" value="12"'.$select_d_12.'></div>
  <div id="scontent_admin_entry_item_day">13<br><input type="checkbox" name="'.$input_nr.'_day_13" value="13"'.$select_d_13.'></div>
  <div id="scontent_admin_entry_item_day">14<br><input type="checkbox" name="'.$input_nr.'_day_14" value="14"'.$select_d_14.'></div>
  </div>
  <div class="scontent_admin_entry_item_input_specific_group" id="scontent_admin_entry_item_days_group">
  <div id="scontent_admin_entry_item_day">15<br><input type="checkbox" name="'.$input_nr.'_day_15" value="15"'.$select_d_15.'></div>
  <div id="scontent_admin_entry_item_day">16<br><input type="checkbox" name="'.$input_nr.'_day_16" value="16"'.$select_d_16.'></div>
  <div id="scontent_admin_entry_item_day">17<br><input type="checkbox" name="'.$input_nr.'_day_17" value="17"'.$select_d_17.'></div>
  <div id="scontent_admin_entry_item_day">18<br><input type="checkbox" name="'.$input_nr.'_day_18" value="18"'.$select_d_18.'></div>
  <div id="scontent_admin_entry_item_day">19<br><input type="checkbox" name="'.$input_nr.'_day_19" value="19"'.$select_d_19.'></div>
  <div id="scontent_admin_entry_item_day">20<br><input type="checkbox" name="'.$input_nr.'_day_20" value="20"'.$select_d_20.'></div>
  <div id="scontent_admin_entry_item_day">21<br><input type="checkbox" name="'.$input_nr.'_day_21" value="21"'.$select_d_21.'></div>
  <div id="scontent_admin_entry_item_day">22<br><input type="checkbox" name="'.$input_nr.'_day_22" value="22"'.$select_d_22.'></div>
  <div id="scontent_admin_entry_item_day">23<br><input type="checkbox" name="'.$input_nr.'_day_23" value="23"'.$select_d_23.'></div>
  <div id="scontent_admin_entry_item_day">24<br><input type="checkbox" name="'.$input_nr.'_day_24" value="24"'.$select_d_24.'></div>
  <div id="scontent_admin_entry_item_day">25<br><input type="checkbox" name="'.$input_nr.'_day_25" value="25"'.$select_d_25.'></div>
  <div id="scontent_admin_entry_item_day">26<br><input type="checkbox" name="'.$input_nr.'_day_26" value="26"'.$select_d_26.'></div>
  <div id="scontent_admin_entry_item_day">27<br><input type="checkbox" name="'.$input_nr.'_day_27" value="27"'.$select_d_27.'></div>
  <div id="scontent_admin_entry_item_day">28<br><input type="checkbox" name="'.$input_nr.'_day_28" value="28"'.$select_d_28.'></div>
  </div>                                                                                                          <div class="scontent_admin_entry_item_input_specific_group" id="scontent_admin_entry_item_days_group">          <div id="scontent_admin_entry_item_day">29<br><input type="checkbox" name="'.$input_nr.'_day_29" value="29"'.$select_d_29.'></div>
  <div id="scontent_admin_entry_item_day">30<br><input type="checkbox" name="'.$input_nr.'_day_30" value="30"'.$select_d_30.'></div>
  <div id="scontent_admin_entry_item_day">31<br><input type="checkbox" name="'.$input_nr.'_day_31" value="31"'.$select_d_31.'></div>
  </div>                                                                                                          </div>                                                                                                          
  <div class="scontent_admin_entry_item_input_specific" id="scontent_admin_entry_item_months">'.$plugin_tx['scontent']['form_label_month'].'              
  <div class="scontent_admin_entry_item_input_specific_group">                                                    <div id="scontent_admin_entry_item_month">&nbsp;1<br><input type="checkbox" name="'.$input_nr.'_month_01" value="01"'.$select_m_1.'></div>
  <div id="scontent_admin_entry_item_month">&nbsp;2<br><input type="checkbox" name="'.$input_nr.'_month_02" value="02"'.$select_m_2.'></div>
  <div id="scontent_admin_entry_item_month">&nbsp;3<br><input type="checkbox" name="'.$input_nr.'_month_03" value="03"'.$select_m_3.'></div>
  <div id="scontent_admin_entry_item_month">&nbsp;4<br><input type="checkbox" name="'.$input_nr.'_month_04" value="04"'.$select_m_4.'></div>
  <div id="scontent_admin_entry_item_month">&nbsp;5<br><input type="checkbox" name="'.$input_nr.'_month_05" value="05"'.$select_m_5.'></div>
  <div id="scontent_admin_entry_item_month">&nbsp;6<br><input type="checkbox" name="'.$input_nr.'_month_06" value="06"'.$select_m_6.'></div>
  <div id="scontent_admin_entry_item_month" style="clear:left;">&nbsp;7<br><input type="checkbox" name="'.$input_nr.'_month_07" value="07"'.$select_m_7.' ></div>
  <div id="scontent_admin_entry_item_month">&nbsp;8<br><input type="checkbox" name="'.$input_nr.'_month_08" value="08"'.$select_m_8.'></div>
  <div id="scontent_admin_entry_item_month">&nbsp;9<br><input type="checkbox" name="'.$input_nr.'_month_09" value="09"'.$select_m_9.'></div>
  <div id="scontent_admin_entry_item_month">10<br><input type="checkbox" name="'.$input_nr.'_month_10" value="10"'.$select_m_10.'></div>
  <div id="scontent_admin_entry_item_month">11<br><input type="checkbox" name="'.$input_nr.'_month_11" value="11"'.$select_m_11.'></div>
  <div id="scontent_admin_entry_item_month">12<br><input type="checkbox" name="'.$input_nr.'_month_12" value="12"'.$select_m_12.'></div>
  </div>                                                                                                          </div>                                                                                                          
  <div class="scontent_admin_entry_item_input_specific" id="scontent_admin_entry_item_years">'.$plugin_tx['scontent']['form_label_year'].'
  <div class="scontent_admin_entry_item_input_specific_group">
  <div id="scontent_admin_entry_item_year"><input type="checkbox" name="'.$input_nr.'_year_01" value="'.strftime("%Y").'"'.$select_y_1.'> '.strftime("%Y").'</div>
  <div id="scontent_admin_entry_item_year"><input type="checkbox" name="'.$input_nr.'_year_02" value="'.(strftime("%Y")+1).'"'.$select_y_2.'> '.(strftime("%Y")+1).'</div>
  <div id="scontent_admin_entry_item_year"><input type="checkbox" name="'.$input_nr.'_year_03" value="'.(strftime("%Y")+2).'"'.$select_y_3.'> '.(strftime("%Y")+2).'</div>
  <div id="scontent_admin_entry_item_year"><input type="checkbox" name="'.$input_nr.'_year_04" value="'.(strftime("%Y")+3).'"'.$select_y_4.'> '.(strftime("%Y")+3).'</div>
  </div>
 </div>
 <input type="hidden" name="'.$input_nr.'_timestamp" value="'.$value['timestamp'].'">  
   </div> <!-- ### specific end ### --->
  </div>
 '; 
} //### end: foreach
$admin_entry.='</div>';
$admin_entry = $plugin_tx['scontent']['admin_form_entries'].($input_nr+0).$admin_entry;
return $admin_entry;
}
//### END: scontent_admin_entry ########################################################/
//### scontent_admin_foot  #############################################################/
function scontent_admin_foot()
{ global $tx, $pth, $admin, $plugin_tx;
$admin_foot='
<input type="hidden" name="admin" value="'.$admin.'">
<input type="hidden" name="saved_file" value="'.$pth['file'][$admin].'">
<input class="scontent_admin_submit" type="submit" value="'.ucfirst($tx['action']['save']).'">
</form>
</div>
<div class="scontent_admin_foot_new_entry">
 <form action="" method="post">
  <input type="hidden" name="admin" value="'.$admin.'">
  <input type="hidden" name="action" value="new_entry">
  <input type="hidden" name="select_file" value="'.$pth['file'][$admin].'">
  <input class="scontent_admin_submit" type="submit" value="'.$plugin_tx['scontent']['admin_form_label_new_entry'].'">  </form>
</div>
';
return $admin_foot;
}
//### END: content_admin_foot  #########################################################/  
//### scontent_read_from_POST  #########################################################/
function scontent_read_from_POST($ret_val='')
{ global $plugin_cf, $plugin_tx, $list_parameters, $empty_entry_array;
 $content_array=array();
 $content_delete=array();
 $content_text='';
 foreach ($_POST as $key => $value) //### Fill array with posted values
 {
  $line = substr(substr($key, 0, 5),0,4);
  $key_text = substr($key, 5);
  if(is_numeric($line)) 
  { if(gettype($content_array[$line])=='NULL') //### Array not existing?: create new line-array
    { $content_array[$line]=array_combine($list_parameters,array_fill(1,count($list_parameters),'')); } 
    if(substr($key_text, 0,  5)=='title'){$content_array[$line]['title']=scontent_cleantext($value); }
elseif(       $key_text        =='active'){$content_array[$line]['active']=$value; }
elseif(substr($key_text, 0, 11)=='select_file'){$content_array[$line]['file']=$value; }
elseif(substr($key_text, 0,  7)=='weekday'){$content_array[$line]['weekday'].=$value.'|'; }
elseif(substr($key_text, 0,  3)=='day'){$content_array[$line]['day'].=$value.'|'; }
elseif(substr($key_text, 0,  5)=='month'){$content_array[$line]['month'].=$value.'|'; }
elseif(substr($key_text, 0,  4)=='year'){$content_array[$line]['year'].=$value.'|'; }
elseif(substr($key_text, 0, 11)=='active_from') {$content_array[$line]['active_from'].=$value.'.'; }
elseif(substr($key_text, 0,  9)=='active_to') {$content_array[$line]['active_to'].=$value.'.'; }
elseif(substr($key_text, 0,  9)=='time_from') 
{ if($content_array[$line]['time_from']=='') //### Array not existing?: create new time-array
  { $content_array[$line]['time_from']=array('hour'=>'','minute'=>'','second'=>''); }
  if($key_text=='time_from_hour')   { $content_array[$line]['time_from']['hour']=$value; } 
  if($key_text=='time_from_minute') { $content_array[$line]['time_from']['minute']=$value; }
                                      $content_array[$line]['time_from']['second']=''; }
elseif(substr($key_text, 0,  7)=='time_to') 
{ if($content_array[$line]['time_to']=='') //### Array not existing?: create new time-array
  { $content_array[$line]['time_to']=array('hour'=>'','minute'=>'','second'=>''); }
  if($key_text=='time_to_hour')   { $content_array[$line]['time_to']['hour']=$value; } 
  if($key_text=='time_to_minute') { $content_array[$line]['time_to']['minute']=$value; }
                                    $content_array[$line]['time_to']['second']=''; }
elseif(       $key_text        =='delete') { $content_array[$line]['delete']='delete'; }
  } //### END: is_numeric
 } //### END: foreach $_POST

 foreach ($content_array as $key => $value) //### check dates/times for correct format.
 {
  //### Check Active_from
  $checked_date=scontent_check_date($content_array[$key]['active_from']);
  if($checked_date!=0) { $content_array[$key]['active_from']=$checked_date; }
  else { $_POST['form_failure'].='<br> <span class="form_failure" style="color:'.$plugin_cf['scontent']['form_failure_color'].'">'.$plugin_tx['scontent']['form_failure_date_from_text'].$key.'</span>'; $content_array[$key]['active_from']=time(); }
  //### Check Active_to
  $checked_date=scontent_check_date($content_array[$key]['active_to']);
  if($checked_date!=0) { $content_array[$key]['active_to']=$checked_date; }
  else { $inactive=TRUE; $_POST['form_failure'].='<br> <span class="form_failure" style="color:'.$plugin_cf['scontent']['form_failure_color'].'">'.$plugin_tx['scontent']['form_failure_date_to_text'].$key.'</span>'; $content_array[$key]['active_to']=time(); }
  //### Check if Active_from >= Active_to
  if($content_array[$key]['active_from']>=$content_array[$key]['active_to'] AND ($content_array[$key]['active']=='active' OR $content_array[$key]['active']=='true')){ $_POST['form_failure'].='<br> <span class="form_warning" style="color:'.$plugin_cf['scontent']['form_failure_color'].'">'.$plugin_tx['scontent']['form_failure_date_difference_text'].$key.'</span>'; $content_array[$key]['active']='inactive'; }
  //### Convert Time_from & Time_to
  if( $content_array[$key]['time_from']['hour']=='' AND
    $content_array[$key]['time_from']['minute']=='' AND
    $content_array[$key]['time_from']['second']=='' ) { $content_array[$key]['time_from']=''; }
  else { $content_array[$key]['time_from'] = scontent_check_time($content_array[$key]['time_from']['hour'],$content_array[$key]['time_from']['minute'],$content_array[$key]['time_from']['second']); }
  if( $content_array[$key]['time_to']['hour']=='' AND
    $content_array[$key]['time_to']['minute']=='' AND
    $content_array[$key]['time_to']['second']=='' ) { $content_array[$key]['time_to']=''; }
  else { $content_array[$key]['time_to'] = scontent_check_time($content_array[$key]['time_to']['hour'],$content_array[$key]['time_to']['minute'],$content_array[$key]['time_to']['second']); }
  //### Check if Time_from >= Time_to
  $time_from=str_replace(':','',$content_array[$key]['time_from']);
  $time_to=str_replace(':','',$content_array[$key]['time_to']);
  if(($content_array[$key]['time_from']!='' AND $content_array[$key]['time_to']!='') AND 
     ($time_from>=$time_to) AND
     ($content_array[$key]['delete']!='delete') AND
     ($content_array[$key]['active']=='active' OR $content_array[$key]['active']=='true'))
   { $_POST['form_failure'].='<br> <span class="form_warning" style="color:'.$plugin_cf['scontent']['form_warning_color'].'">'.$plugin_tx['scontent']['form_failure_time_difference_text'].$key.'</span>'; }
 } //### END: check dates/times

 $content_header=$_POST['version'].';'.$_POST['admin_user'].';'.$_POST['status'].';'.scontent_cleantext($_POST['sc_name']).';;;;;;;;'; 

 foreach ($content_array as $key => $value) //### check if a entry has to be deleted.
 { if (!array_key_exists('delete', $content_array[$key]))
   { $content_text.="\n"; 
     $content_text.=implode(";", $content_array[$key]); }
   else
   { $content_delete[]=$content_array[$key]; } }

if     ($ret_val=='delete_entry')    { return $content_delete; }
elseif ($ret_val=='delete_complete') { return $content_array; $_POST['form_failure']=''; }
else { return $content_header.$content_text; }
}
//### END: scontent_read_from_POST  ####################################################/ 
//### scontent_admin_download  #########################################################/
function scontent_admin_download($content_file, $content_name)
{                                                                                                               $admin_download='
<div class="scontent_admin_download" style="float:right; background:#f0f0f0; border:1px dashed #909090;"> Download: <a target="_blank" href="'.$content_file.'">'.$content_name.'</a></div>';
return $admin_download;
}
//### END: scontent_admin_download  ####################################################/
//### scontent_check_date  #############################################################/
function scontent_check_date($date='')
{ 
if($date=='') { return false; }
	
$date_array=explode('.', $date);
$day=$date_array[0];
$month=$date_array[1];
$year=$date_array[2];
$hour=$date_array[3];
$minute=$date_array[4];
$second=$date_array[5];
$time=scontent_check_time($hour, $minute, $second); 
$time_array=explode(':', $time);
$timestamp=time();

if (!is_numeric($day) OR strlen($day==0)) { $day='01'; } //### check day an fill up with zero's
  if(strlen($day)<2) { $day='0'.$day; }
if (!is_numeric($month) OR strlen($month==0)) { $month='01'; } //### check month an fill up with zero's
  if(strlen($month)<2) { $month='0'.$month; }
if (!is_numeric($year) OR strlen($year==0)) { $year='2007'; } //### check year an fill up with zero's
  if(strlen($year)<2) { $year='0'.$year; }
  if(strlen($year)<3) { $year='0'.$year; }
  if(strlen($year)<4) { $year='2'.$year; }

// echo('<br>check_date: '.$day.'.'.$month.'.'.$year.' - '.$time_array[0].':'.$time_array[1].':'.$time_array[2]);
//### for diagnosis only.

if (!checkdate($month,$day,$year)) { return 0; } //### check for correct date
else { $timestamp=mktime($time_array[0], $time_array[1], $time_array[2], $month, $day, $year); }
return $timestamp;
}
//### END: scontent_check_date  ########################################################/
//### scontent_check_time  #############################################################/
function scontent_check_time($hour='', $minute='', $second='')
{ 
if (!is_numeric($hour)) { $hour='00'; }
 if(strlen($hour)<2) { $hour='0'.$hour; }
 if($hour>23) { $hour=23; }
if (!is_numeric($minute)) { $minute='00'; }
 if(strlen($minute)<2) { $minute='0'.$minute; }
 if($minute>59) { $minute=59; }
if (!is_numeric($second)) { $second='00'; }
 if(strlen($second)<2) { $second='0'.$second; }
 if($second>59) { $second=59; }

// echo('<br>check_time: '.$hour.':'.$minute.':'.$second);  //### for diagnosis only.

return $hour.':'.$minute.':'.$second;
}
//### END: scontent_check_time  ########################################################/
//### scontent_cleantext ###############################################################/
function scontent_cleantext($rawcode)
{
// This will remove HTML tags, javascript sections
// and white space. It will also convert some
// common HTML entities to their text equivalent
// Clever bits cut and pasted from php_manual_en.html#ref.pcre

$search = array (
"';'", // Strip out semicolon
"'<script[^>]*?>.*?</script>'si", // Strip out javascript
"'<[\/\!]*?[^<>]*?>'si", // Strip out HTML tags
"'([\r])[\s]+'", // Strip out white space
"'&(quot|#34);'i", // Replace HTML entities
"'&(amp|#38);'i",
"'&(lt|#60);'i",
"'&(gt|#62);'i",
"'&(nbsp|#160);'i",
"'&(iexcl|#161);'i",
"'&(cent|#162);'i",
"'&(pound|#163);'i",
"'&(copy|#169);'i",
"'#CMSimple'i", //Exclude CMSimple-Scripting
"'&#(\d+);'e"); // evaluate as php

$replace = array (
",",
"",
"",
"\\1",
"\"",
"&",
"<",
">",
" ",
chr(161),
chr(162),
chr(163),
chr(169),
"<span>#</span>CMSimple",
"chr(\\1)");

$scontent_cleantext = preg_replace($search, $replace, $rawcode);
$scontent_cleantext = str_replace(chr(10),'<br />',$scontent_cleantext);
$scontent_cleantext = str_replace(chr(12),'<br />',$scontent_cleantext);
$scontent_cleantext = str_replace(chr(13),'<br />',$scontent_cleantext);

return $scontent_cleantext;
}
//### END: scontent_cleantext ##########################################################/
//### scontent_check_upload ############################################################/
function scontent_check_upload()
{ global $upload_pth, $plugin_cf, $plugin_tx;

//### 
//print_r($_FILES);
//### for diagnosis only

 $upload=$_FILES['content_file_upload'];
 $name=$upload['name'];
 $tmp_name=$upload['tmp_name'];
 $type=$upload['type'];
 $size=$upload['size'];
 $error=$upload['error'];

 if
 ( is_uploaded_file($tmp_name) AND 
   preg_match('[^a-z|A-Z|0-9|\.|-|_]*$', $name)==0 AND
   ($type=='text/plain' OR $type=='text/html' OR $type=='text/css' )
 )
 { if ($size>$plugin_cf['scontent']['content_file_max_size']) { return $plugin_tx['scontent']['upload_content_file_size_error'].'<br>(Size: '.$size.' Byte, allowed: '.$plugin_cf['scontent']['content_file_max_size'].' Byte)'; }
   if(file_exists($upload_pth.$name)) { return $plugin_tx['scontent']['upload_content_file_exists']; }
   elseif(copy($tmp_name, $upload_pth.$name)) { return $plugin_tx['scontent']['upload_content_file_successful']; }
   else { return $error; } }
 else { return $plugin_tx['scontent']['upload_content_file_error'].'<br>Filename: \''.$name.'\' - Filetype: \''.$type.'\'.'; }

}
//### END: scontent_check_upload #######################################################/
?>